Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf3d
Interface IGraphics3DAdapter

All Superinterfaces:
  org.eclipse.core.runtime.IAdapterFactory

All Known Implementing Classes:
  AscapeDefaultGraphics3DAdapter, EpidemicTiles3DAdapter, Graphics3DAdapter, Heatbugs3DAdapter

    public interface IGraphics3DAdapter

extends org.eclipse.core.runtime.IAdapterFactory

A marker interface indicating that an object will serve as the provider for any model features, such as Composition Providers, Label Providers, and so no. Of course, implementors may choose to delegate any of this functionality. A model (IModel instance) can implement this interface directly, in which case any customization will use the features provided by it. Alternatively, a model can implement IAdaptable and return an instance of this adapter. Implementors should (and AMP implementations do) find providers for a given model in the following order: 1. Check whether the model itself implements IModelAdapter. If not, 2. Attempt to adapt the model directly, i.e. by checking for implementation of IAdaptable and then looking for this marker interface. 3. Look for a generic adapter registered through the platform for the provided model on this interface. This allows users to

Author:
  mparker
See Also:
  `IModel`, `IAdaptable`

Method Summary
`IShape3DProvider[]` | `getShapes(java.lang.Object object)`
`IShape3DProvider[]` | `getShapesForClass(java.lang.Class object)`

Methods inherited from interface org.eclipse.core.runtime.IAdapterFactory
`getAdapter, getAdapterList`

Method Detail

### getShapes

    IShape3DProvider[] getShapes(java.lang.Object object)

### getShapesForClass

    IShape3DProvider[] getShapesForClass(java.lang.Class object)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD